local trinkets = {}
local arenatrin = CreateFrame("Frame")
arenatrin:RegisterEvent("ADDON_LOADED")
arenatrin:RegisterEvent("PLAYER_ENTERING_WORLD")
function arenatrin:ADDON_LOADED(addonName)
    if addonName ~= "Blizzard_ArenaUI" then
        return
    end
	
    local arenaFrame, trinket
    for i = 1, 5 do
	    arenaFrame = "ArenaEnemyFrame"..i
        trinket = CreateFrame("Frame", arenaFrame.."Trinket", ArenaEnemyFrames)
		trinket.sweep = CreateFrame("Cooldown", nil, trinket, "CooldownFrameTemplate")
		trinket:SetPoint("LEFT", arenaFrame, "RIGHT", 0, 0)
        trinket:SetSize(30, 30)
		trinket.tex = trinket:CreateTexture(nil, "BACKGROUND")
        trinket.tex:SetTexture("Interface\\Icons\\inv_jewelry_trinketpvp_02")
        trinket:Hide()
		trinket.sweep:SetAllPoints(trinket)
		trinket.tex:SetAllPoints(trinket)
		
		local function trinkUp(self)
			if self.sweep:GetCooldownDuration() == 0 then
				self:Hide()
			end
		end
		trinket:SetScript("OnUpdate", trinkUp)
		
        trinkets["arena"..i] = trinket
    end
    self:UnregisterEvent("ADDON_LOADED")
end

function arenatrin:UNIT_SPELLCAST_SUCCEEDED(unitID, spell, rank, lineID, spellID)
    if not trinkets[unitID] then
        return
    end
        if spellID == 59752 or spellID == 42292 then
				trinkets[unitID]:Show()
                CooldownFrame_SetTimer(trinkets[unitID].sweep, GetTime(), 120, 1)
		elseif spellID == 7744 then
				trinkets[unitID]:Show()
				CooldownFrame_SetTimer(trinkets[unitID].sweep, GetTime(), 30, 1)
        end
end
function arenatrin:PLAYER_ENTERING_WORLD()
    local _, instanceType = IsInInstance()
    if instanceType == "arena" then
        self:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
		for _, trinket in pairs(trinkets) do
            trinket:Hide()
        end
    elseif self:IsEventRegistered("UNIT_SPELLCAST_SUCCEEDED") then
        self:UnregisterEvent("UNIT_SPELLCAST_SUCCEEDED")
        for _, trinket in pairs(trinkets) do
            trinket.sweep:SetCooldown(0, 0)
            trinket:Hide()
        end
    end
end
function PUI:testAEF()
    local arenaFrame
    for i = 1, 5 do
		arenaFrame = _G["ArenaEnemyFrame"..i]		
        arenaFrame.classPortrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
        arenaFrame.classPortrait:SetTexCoord(unpack(CLASS_ICON_TCOORDS["WARRIOR"]))
        arenaFrame.name:SetText("Dispelme")
        arenaFrame:Show()
		trinkets["arena"..i]:Show()
        CooldownFrame_SetTimer(trinkets["arena"..i].sweep, GetTime(), 120, 1)		
    end
end

 SLASH_TESTAEF1 = "/testaef"
 SlashCmdList["TESTAEF"] = function(msg, editBox)
     if not IsAddOnLoaded("Blizzard_ArenaUI") then
         LoadAddOn("Blizzard_ArenaUI")
     end
     ArenaEnemyFrames:Show()
	 for i=1,5 do _G["ArenaEnemyFrame"..i]:Show()_G["ArenaEnemyFrame"..i.."CastingBar"]:Show()end
	 PUI:PositionArenaFrames()
     local arenaFrame
     for i = 1, 5 do
         arenaFrame = _G["ArenaEnemyFrame"..i]		
         arenaFrame.classPortrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
         arenaFrame.classPortrait:SetTexCoord(unpack(CLASS_ICON_TCOORDS["WARRIOR"]))
         arenaFrame.name:SetText("Dispelme")
         arenaFrame:Show()
		 trinkets["arena"..i]:Show()
         CooldownFrame_SetTimer(trinkets["arena"..i].sweep, GetTime(), 120, 1)		
     end
 end
arenatrin:SetScript("OnEvent", function(self, event, ...) return self[event](self, ...) end)